Loading...
Searching...
No Matches
casacore::MSStateIndex Class Reference
ms package (libcasa_ms) » MSSel_module

More...

`#include <MSStateIndex.h>`

## Public Member Functions

| MSStateIndex (const MSState &state)
| Construct from an MS FIELD subtable.
virtual | ~MSStateIndex ()
| Null destructor.
Vector< Int > | matchStateIntent (const String &name)
Vector< Int > | matchStateIntent (const Vector< String > &names)
Vector< Int > | matchStateObsMode (const String &name)
| ADD for file name wildcard selection.
Vector< Int > | matchStateObsMode (const Vector< String > &names)
Vector< Int > | matchStateRegexOrPattern (const String &pattern, const Bool regex=False)
| Look up FIELD_ID's for a given pattern/regex for source name/code.
Vector< Int > | matchStateObsModeRegexOrPattern (const String &pattern, const Bool regex=False)
Vector< Int > | matchStateId (const Int &sourceId)
| Look up FIELD_ID's for a given source id.
Vector< Int > | matchStateId (const Vector< Int > &sourceIds)
Vector< Int > | maskStateIDs (const Vector< Int > &ids)
Vector< Int > | matchStateIDLT (const Int n)
Vector< Int > | matchStateIDGT (const Int n)
Vector< Int > | matchStateIDGTAndLT (const Int n0, const int n1)

## Private Member Functions

| MSStateIndex ()
| Disallow null constructor.
Int | matchAnyRegex (const Vector< String > &strList, const Regex &regex, const Int pos=0)

## Private Attributes

MSStateColumns | msStateCols_p
| FIELD subtable column accessor.
Vector< Int > | stateIds_p
| Vector cache of field id's.
Int | nrows_p

## Detailed Description

Class to handle lookup or indexing into a MS FIELD subtable

### Intended use:

Public interface

### Review Status

Date Reviewed:
  yyyy/mm/dd

### Prerequisite

- MeasurementSet
- MSState

### Etymology

From "MeasurementSet", "FIELD subtable" and "index".

### Synopsis

This class provides lookup and indexing into an MS FIELD subtable. These services include returning rows numbers (which for the FIELD subtable are FIELD_ID's) associated with specific data in the subtable.

### Example

### Motivation

Collect together all subtable indexing and lookup for the FIELD subtable, for encapsulation and efficiency.

### Thrown Exceptions

Definition at line 80 of file MSStateIndex.h.

## Constructor & Destructor Documentation

## MSStateIndex() [1/2]

casacore::MSStateIndex::MSStateIndex | ( | const MSState & | state | ) |

Construct from an MS FIELD subtable.

## ~MSStateIndex()

virtual casacore::MSStateIndex::~MSStateIndex | ( |  | ) |

inline virtual

Null destructor.

Definition at line 87 of file MSStateIndex.h.

## MSStateIndex() [2/2]

casacore::MSStateIndex::MSStateIndex | ( |  | ) |

private

Disallow null constructor.

## Member Function Documentation

## maskStateIDs()

Vector< Int > casacore::MSStateIndex::maskStateIDs | ( | const Vector< Int > & | ids | ) |

## matchAnyRegex()

Int casacore::MSStateIndex::matchAnyRegex | ( | const Vector< String > & | strList,
|  | const Regex & | regex,
|  | const Int | pos = 0 )

private

References casacore::regex().

## matchStateId() [1/2]

Vector< Int > casacore::MSStateIndex::matchStateId | ( | const Int & | sourceId | ) |

Look up FIELD_ID's for a given source id.

## matchStateId() [2/2]

Vector< Int > casacore::MSStateIndex::matchStateId | ( | const Vector< Int > & | sourceIds | ) |

## matchStateIDGT()

Vector< Int > casacore::MSStateIndex::matchStateIDGT | ( | const Int | n | ) |

## matchStateIDGTAndLT()

Vector< Int > casacore::MSStateIndex::matchStateIDGTAndLT | ( | const Int | n0,
|  | const int | n1 )

## matchStateIDLT()

Vector< Int > casacore::MSStateIndex::matchStateIDLT | ( | const Int | n | ) |

## matchStateIntent() [1/2]

Vector< Int > casacore::MSStateIndex::matchStateIntent | ( | const String & | name | ) |

References casacore::name().

## matchStateIntent() [2/2]

Vector< Int > casacore::MSStateIndex::matchStateIntent | ( | const Vector< String > & | names | ) |

## matchStateObsMode() [1/2]

Vector< Int > casacore::MSStateIndex::matchStateObsMode | ( | const String & | name | ) |

ADD for file name wildcard selection.

References casacore::name().

## matchStateObsMode() [2/2]

Vector< Int > casacore::MSStateIndex::matchStateObsMode | ( | const Vector< String > & | names | ) |

## matchStateObsModeRegexOrPattern()

Vector< Int > casacore::MSStateIndex::matchStateObsModeRegexOrPattern | ( | const String & | pattern,
|  | const Bool | regex = False )

References casacore::False, casacore::pattern(), and casacore::regex().

## matchStateRegexOrPattern()

Vector< Int > casacore::MSStateIndex::matchStateRegexOrPattern | ( | const String & | pattern,
|  | const Bool | regex = False )

Look up FIELD_ID's for a given pattern/regex for source name/code.

References casacore::False, casacore::pattern(), and casacore::regex().

## Member Data Documentation

## msStateCols_p

MSStateColumns casacore::MSStateIndex::msStateCols_p

private

FIELD subtable column accessor.

Definition at line 115 of file MSStateIndex.h.

## nrows_p

Int casacore::MSStateIndex::nrows_p

private

Definition at line 119 of file MSStateIndex.h.

## stateIds_p

Vector<Int> casacore::MSStateIndex::stateIds_p

private

Vector cache of field id's.

Definition at line 118 of file MSStateIndex.h.

The documentation for this class was generated from the following file:

- ms/MSSel/MSStateIndex.h